List payout payees
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/billing/payees \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/billing/payees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/billing/payees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"payees": [
{
"beneficiaryName": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"accountNumberLast4": "<string>",
"bankIdentifierType": "FEDWIRE_ABA",
"bankIdentifierValue": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"id": 0,
"entityName": "<string>",
"currency": "<string>",
"isPrimary": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront Billing
List payout payees
List the multi-entity payout payees on file (masked: account numbers reduced to their last 4 characters). Each payee is the bank account for one legal payout entity in one payout currency. The default payout details on the billing config are separate — see Get billing config.
GET
/
billing
/
payees
List payout payees
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/billing/payees \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/billing/payees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/billing/payees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"payees": [
{
"beneficiaryName": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"accountNumberLast4": "<string>",
"bankIdentifierType": "FEDWIRE_ABA",
"bankIdentifierValue": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"id": 0,
"entityName": "<string>",
"currency": "<string>",
"isPrimary": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Direct child customer to read or update from an authorized parent billing organization
Pattern:
^[1-9][0-9]*$Response
List payout payees
Payout payees on file (masked), one per legal entity per payout currency. The default payee on the billing config is listed separately on GET /billing.
Show child attributes
Show child attributes